use lib './lib';
use JavaScript::Duktape;
use Data::Dumper;
use strict;
use warnings;

my $js = JavaScript::Duktape->new();

my $t = $js->eval(q{
	var a = /(a)b[^\1]/.test('aba');
	a;
});

print Dumper $t;
